import rehypeRemark from 'rehype-remark';
import { Processor, Plugin } from 'unified';
import { markdownToBlocks } from '@tryfabric/martian';
import { AppendBlockChildrenParameters } from '@notionhq/client/build/src/api-endpoints';
import { Root, Content } from 'hast';
import { Options as GfmToMarkdownOptions } from 'mdast-util-gfm';
import { Options as MdastToMarkdownOptionsWithoutGFM } from 'mdast-util-to-markdown';
export type Block = AppendBlockChildrenParameters['children'][number];
type Node = Root | Content;
export type MarkdownToNotionOptions = Exclude<Parameters<typeof markdownToBlocks>[1], void>;
export type HastToMdastOptions = Exclude<Parameters<typeof rehypeRemark>[1], void>;
export type MdastToMarkdownOptions = MdastToMarkdownOptionsWithoutGFM & GfmToMarkdownOptions;
export interface Options {
    hastToMdastOptions?: HastToMdastOptions;
    mdastToMarkdownOptions?: MdastToMarkdownOptions;
    markdownToNotionOptions?: MarkdownToNotionOptions;
}
declare const rehypeToNotion: Plugin<[Options] | [void] | [], Node, Block[]> & ThisType<Processor>;
export default rehypeToNotion;
