import _extends from "@swc/helpers/src/_extends.mjs";
import { markdownToBlocks } from '@tryfabric/martian';
import { gfmToMarkdown } from 'mdast-util-gfm';
import { toMarkdown } from 'mdast-util-to-markdown';
import { toMdast } from 'hast-util-to-mdast';
const rehypeToNotion = function(options) {
    // /** @type {import('unified').CompilerFunction<Node, string>} */
    const compiler = (tree)=>{
        var ref;
        // Assume options.
        const settings = this.data('settings');
        const mdast = toMdast(tree, _extends({}, options == null ? void 0 : options.hastToMdastOptions));
        var ref1;
        const markdown = toMarkdown(mdast, _extends({}, options == null ? void 0 : options.mdastToMarkdownOptions, {
            extensions: [
                ...(ref1 = options == null ? void 0 : (ref = options.mdastToMarkdownOptions) == null ? void 0 : ref.extensions) != null ? ref1 : [],
                gfmToMarkdown(options == null ? void 0 : options.mdastToMarkdownOptions)
            ]
        }));
        return markdownToBlocks(markdown, Object.assign({}, options == null ? void 0 : options.markdownToNotionOptions));
    };
    Object.assign(this, {
        Compiler: compiler
    });
};
export default rehypeToNotion;

//# sourceMappingURL=rehype-notion.js.map